<?php
// 设置时区（根据你的实际时区调整）
date_default_timezone_set('Asia/Shanghai');

// 初始化变量
$last_login = '';
$current_login = date('Y-m-d H:i:s');

// 检查是否存在上次登录时间的Cookie
if(isset($_COOKIE['last_login'])) {
    $last_login = $_COOKIE['last_login'];
} else {
    $last_login = "这是您第一次访问！";
}

// 设置新的Cookie，有效期一周（60秒*60分钟*24小时*7天）
setcookie('last_login', $current_login, time() + 60*60*24*7, '/');
?>

<!DOCTYPE html>
<html>
<head>
    <title>登录时间记录</title>
    <meta charset="UTF-8">
</head>
<body>
<h1>登录时间信息</h1>

<?php if($last_login !== '') : ?>
    <p>上次登录时间：<?php echo $last_login; ?></p>
<?php endif; ?>

<p>本次登录时间：<?php echo $current_login; ?></p>

<?php if(!isset($_COOKIE['last_login'])) : ?>
    <p>欢迎新用户！</p>
<?php endif; ?>
</body>
</html>
